Subject: Re: on builds/randconfigs (was: [PATCH -next] thermal: depends on NET)

From: Steven Rostedt <[email-masked]>
Date: Wed, 12 Jan 2011 22:45:40 -0500

On Thu, 2011-01-13 at 11:44 +1100, Stephen Rothwell wrote:
> Hi all,
> 
> On Wed, 12 Jan 2011 16:58:26 -0500 (EST) Len Brown <[email-masked]> wrote:
> >
> > Kconfig select needs to be fixed so that it is not possible to
> > select something if that something's dependencies are not met.
> 
> So, should the config step fail if such a thing is attempted, or just not
> honour the "select"?
> 
> BTW, Linus asked me to investigate the alternative of having "select"
> (recursively) automatically set the dependencies if they are not already
> set ...
> 

What happens if you have foo depends on bar || fib ?

Do you automatically enable bar and fib?

-- Steve